diff --git a/meta/recipes-devtools/go/go-1.21.5.inc b/meta/recipes-devtools/go/go-1.21.7.inc
similarity index 89%
rename from meta/recipes-devtools/go/go-1.21.5.inc
rename to meta/recipes-devtools/go/go-1.21.7.inc
index f009ea77c7..6de24e1e22 100644
--- a/meta/recipes-devtools/go/go-1.21.5.inc
+++ b/meta/recipes-devtools/go/go-1.21.7.inc
@@ -15,4 +15,4 @@ SRC_URI += "\
     file://0008-src-cmd-dist-buildgo.go-do-not-hardcode-host-compile.patch \
     file://0009-go-Filter-build-paths-on-staticly-linked-arches.patch \
 "
-SRC_URI[main.sha256sum] = "285cbbdf4b6e6e62ed58f370f3f6d8c30825d6e56c5853c66d3c23bcdb09db19"
+SRC_URI[main.sha256sum] = "00197ab20f33813832bff62fd93cca1c42a08cc689a32a6672ca49591959bff6"
diff --git a/meta/recipes-devtools/go/go-binary-native_1.21.5.bb b/meta/recipes-devtools/go/go-binary-native_1.21.7.bb
similarity index 78%
rename from meta/recipes-devtools/go/go-binary-native_1.21.5.bb
rename to meta/recipes-devtools/go/go-binary-native_1.21.7.bb
index cc79a277ff..d8826e20f1 100644
--- a/meta/recipes-devtools/go/go-binary-native_1.21.5.bb
+++ b/meta/recipes-devtools/go/go-binary-native_1.21.7.bb
@@ -9,9 +9,9 @@ PROVIDES = "go-native"
 
 # Checksums available at https://go.dev/dl/
 SRC_URI = "https://dl.google.com/go/go${PV}.${BUILD_GOOS}-${BUILD_GOARCH}.tar.gz;name=go_${BUILD_GOTUPLE}"
-SRC_URI[go_linux_amd64.sha256sum] = "e2bc0b3e4b64111ec117295c088bde5f00eeed1567999ff77bc859d7df70078e"
-SRC_URI[go_linux_arm64.sha256sum] = "841cced7ecda9b2014f139f5bab5ae31785f35399f236b8b3e75dff2a2978d96"
-SRC_URI[go_linux_ppc64le.sha256sum] = "1f6dd06aa34f292f33c2c70ea9b4456e3a9e5cbd1d99968f3f463a4805b40ece"
+SRC_URI[go_linux_amd64.sha256sum] = "13b76a9b2a26823e53062fa841b07087d48ae2ef2936445dc34c4ae03293702c"
+SRC_URI[go_linux_arm64.sha256sum] = "24744edcaeb827aafb76c67ebd406b5ae13291023b0ad9f061dd7a0e75b275ba"
+SRC_URI[go_linux_ppc64le.sha256sum] = "48a99ecce9b1e632870c29420088f61cf17a6f0c5bdb3cc821ff5c00e14b1a8a"
 
 UPSTREAM_CHECK_URI = "https://golang.org/dl/"
 UPSTREAM_CHECK_REGEX = "go(?P<pver>\d+(\.\d+)+)\.linux"
diff --git a/meta/recipes-devtools/go/go-cross-canadian_1.21.5.bb b/meta/recipes-devtools/go/go-cross-canadian_1.21.7.bb
similarity index 100%
rename from meta/recipes-devtools/go/go-cross-canadian_1.21.5.bb
rename to meta/recipes-devtools/go/go-cross-canadian_1.21.7.bb
diff --git a/meta/recipes-devtools/go/go-cross_1.21.5.bb b/meta/recipes-devtools/go/go-cross_1.21.7.bb
similarity index 100%
rename from meta/recipes-devtools/go/go-cross_1.21.5.bb
rename to meta/recipes-devtools/go/go-cross_1.21.7.bb
diff --git a/meta/recipes-devtools/go/go-crosssdk_1.21.5.bb b/meta/recipes-devtools/go/go-crosssdk_1.21.7.bb
similarity index 100%
rename from meta/recipes-devtools/go/go-crosssdk_1.21.5.bb
rename to meta/recipes-devtools/go/go-crosssdk_1.21.7.bb
diff --git a/meta/recipes-devtools/go/go-native_1.21.5.bb b/meta/recipes-devtools/go/go-native_1.21.7.bb
similarity index 100%
rename from meta/recipes-devtools/go/go-native_1.21.5.bb
rename to meta/recipes-devtools/go/go-native_1.21.7.bb
diff --git a/meta/recipes-devtools/go/go-runtime_1.21.5.bb b/meta/recipes-devtools/go/go-runtime_1.21.7.bb
similarity index 100%
rename from meta/recipes-devtools/go/go-runtime_1.21.5.bb
rename to meta/recipes-devtools/go/go-runtime_1.21.7.bb
diff --git a/meta/recipes-devtools/go/go/0002-cmd-go-Allow-GOTOOLDIR-to-be-overridden-in-the-envir.patch b/meta/recipes-devtools/go/go/0002-cmd-go-Allow-GOTOOLDIR-to-be-overridden-in-the-envir.patch
index cf7ad02f86..6d1a02e6c0 100644
--- a/meta/recipes-devtools/go/go/0002-cmd-go-Allow-GOTOOLDIR-to-be-overridden-in-the-envir.patch
+++ b/meta/recipes-devtools/go/go/0002-cmd-go-Allow-GOTOOLDIR-to-be-overridden-in-the-envir.patch
@@ -35,7 +35,7 @@ index 8973a87..adc9fd2 100644
  	goversion := findgoversion()
  	isRelease = strings.HasPrefix(goversion, "release.") || strings.HasPrefix(goversion, "go")
 diff --git a/src/cmd/go/internal/cfg/cfg.go b/src/cmd/go/internal/cfg/cfg.go
-index 8a82e55..1141fc2 100644
+index 8caa22a..0c322fb 100644
 --- a/src/cmd/go/internal/cfg/cfg.go
 +++ b/src/cmd/go/internal/cfg/cfg.go
 @@ -231,7 +231,11 @@ func SetGOROOT(goroot string, isTestGo bool) {
diff --git a/meta/recipes-devtools/go/go/0003-ld-add-soname-to-shareable-objects.patch b/meta/recipes-devtools/go/go/0003-ld-add-soname-to-shareable-objects.patch
index be4af096ce..d0cd8d244e 100644
--- a/meta/recipes-devtools/go/go/0003-ld-add-soname-to-shareable-objects.patch
+++ b/meta/recipes-devtools/go/go/0003-ld-add-soname-to-shareable-objects.patch
@@ -19,10 +19,10 @@ Signed-off-by: Jose Quaresma <jose.quaresma@foundries.io>
  1 file changed, 3 insertions(+)
 
 diff --git a/src/cmd/link/internal/ld/lib.go b/src/cmd/link/internal/ld/lib.go
-index 91e2d51..e98b912 100644
+index 5e5d255..459e9dc 100644
 --- a/src/cmd/link/internal/ld/lib.go
 +++ b/src/cmd/link/internal/ld/lib.go
-@@ -1554,6 +1554,7 @@ func (ctxt *Link) hostlink() {
+@@ -1563,6 +1563,7 @@ func (ctxt *Link) hostlink() {
  				argv = append(argv, "-Wl,-z,relro")
  			}
  			argv = append(argv, "-shared")
@@ -30,7 +30,7 @@ index 91e2d51..e98b912 100644
  			if ctxt.HeadType == objabi.Hwindows {
  				argv = addASLRargs(argv, *flagAslr)
  			} else {
-@@ -1569,6 +1570,7 @@ func (ctxt *Link) hostlink() {
+@@ -1578,6 +1579,7 @@ func (ctxt *Link) hostlink() {
  			argv = append(argv, "-Wl,-z,relro")
  		}
  		argv = append(argv, "-shared")
@@ -38,7 +38,7 @@ index 91e2d51..e98b912 100644
  	case BuildModePlugin:
  		if ctxt.HeadType == objabi.Hdarwin {
  			argv = append(argv, "-dynamiclib")
-@@ -1577,6 +1579,7 @@ func (ctxt *Link) hostlink() {
+@@ -1586,6 +1588,7 @@ func (ctxt *Link) hostlink() {
  				argv = append(argv, "-Wl,-z,relro")
  			}
  			argv = append(argv, "-shared")
diff --git a/meta/recipes-devtools/go/go_1.21.5.bb b/meta/recipes-devtools/go/go_1.21.7.bb
similarity index 100%
rename from meta/recipes-devtools/go/go_1.21.5.bb
rename to meta/recipes-devtools/go/go_1.21.7.bb